%define name	gneutronica
%define version 0.25
%define release 1mdk

Name: 	 	%{name}
Summary: 	A GNOME-based MIDI drum sequencer
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/gneutronica/%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/gneutronica/

License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnomecanvas2-devel ImageMagick

%description
This program is MIDI drum machine software for linux with a gnome based user
interface to allow easy creation and play back of drum tracks to external MIDI
devices.

%prep
%setup -q
perl -p -i -e "s|gcc|gcc $RPM_OPT_FLAGS||g" Makefile

%build
make
					
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
cp %name %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%name
cp -r drumkits %buildroot/%_datadir/%name
mkdir -p %buildroot/%_mandir/man1
bzip2 < documentation/%name.1 > %buildroot/%_mandir/man1/%name.1.bz2
mkdir -p %buildroot/%_datadir/pixmaps
cp icons/*.png %buildroot/%_datadir/pixmaps

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%name.png" needs="x11" title="Gneutronica" longtitle="MIDI drum sequencer" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc BUGS CHANGES documentation/*.png documentation/*.html
%{_bindir}/%name
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jul 28 2005 Austin Acton <austin@mandriva.org> 0.25-1mdk
- New release 0.25

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.23-1mdk
- initial package
